Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxHssAccCodeletCom.h
    00001
    00054 #ifndef IXHSSACCCODELETCOM_H
    00055 #define IXHSSACCCODELETCOM_H
    00056
    00057 #include "IxHssAcc.h"
    00058
    00059 /*
    00060  * #defines for function return types, etc.
    00061  */
    00062
    00068 typedef struct
    00069 {
    00070     UINT32 portInitFails;
    00071     UINT32 errorRetrievalFails;
    00072     /* HSS errors */
    00073     UINT32 txFrmSyncErrors;
    00074     UINT32 rxFrmSyncErrors;
    00075     /* HSS errors, per Service Port */
    00076     UINT32 txOverRunErrors;
    00077     UINT32 rxOverRunErrors;
    00078     /* HSS Channelised errors */
    00079     UINT32 chanSwTxErrors;
    00080     UINT32 chanSwRxErrors;
    00081     /* HSS Packetised errors, per Service Port */
    00082     UINT32 pktSwTxErrors;
    00083     UINT32 pktSwRxErrors;
    00084     UINT32 unrecognisedErrors;
    00085 } GeneralStats;
    00086
    00092 typedef struct
    00093 {
    00094     UINT32 txSamples;
    00095     UINT32 txBytes;
    00096     UINT32 rxSamples;
    00097     UINT32 rxBytes;
    00098     UINT32 rxIdles;
    00099     UINT32 rxVerifyFails;
    00100     UINT32 connectFails;
    00101     UINT32 portEnableFails;
    00102     UINT32 portDisableFails;
    00103     UINT32 disconnectFails;
    00104 } ChannelisedStats;
    00105
    00111 typedef struct
    00112 {
    00113     UINT32 txPackets;
    00114     UINT32 txBytes;
    00115     UINT32 txNoBuffers;
    00116     UINT32 rxPackets;
    00117     UINT32 rxBytes;
    00118     UINT32 rxNoBuffers;
    00119     UINT32 rxIdles;
    00120     UINT32 rxVerifyFails;
    00121     UINT32 connectFails;
    00122     UINT32 portEnableFails;
    00123     UINT32 txFails;
    00124     UINT32 replenishFails;
    00125     UINT32 portDisableFails;
    00126     UINT32 disconnectFails;
    00127     UINT32 txBufsInUse;
    00128     UINT32 rxBufsInUse;
    00129     UINT32 stopShutdownErrors;
    00130     UINT32 hdlcAlignErrors;
    00131     UINT32 hdlcFcsErrors;
    00132     UINT32 rxQueueEmptyErrors;
    00133     UINT32 hdlcMaxSizeErrors;
    00134     UINT32 hdlcAbortErrors;
    00135     UINT32 disconnectErrors;
    00136     UINT32 unrecognisedErrors;
    00137 } PacketisedStats;
    00138
    00144 typedef struct
    00145 {
    00146     GeneralStats gen;
    00147     ChannelisedStats chan;
    00148     PacketisedStats pkt[IX_HSSACC_HDLC_PORT_MAX];
    00149 } IxHssAccCodeletStats;
    00150
    00155 extern IxHssAccCodeletStats stats[IX_HSSACC_HSS_PORT_MAX];
    00156
    00157 /*
    00158  * Prototypes for interface functions.
    00159  */
    00160
    00184 void
    00185 ixHssAccCodeletLastHssErrorHssPort0Callback (
    00186     unsigned lastHssError,
    00187     unsigned servicePort);
    00188
    00213 void
    00214 ixHssAccCodeletLastHssErrorHssPort1Callback (
    00215     unsigned lastHssError,
    00216     unsigned servicePort);
    00217
    00236 void
    00237 ixHssAccCodeletNumHssErrorsUpdate (
    00238     IxHssAccHssPort hssPortId,
    00239     unsigned numHssErrs);
    00240
    00259 void
    00260 ixHssAccCodeletPktErrorsUpdate (
    00261     IxHssAccHssPort hssPortId,
    00262     IxHssAccHdlcPort hdlcPortId,
    00263     IxHssAccPktStatus pktStatus);
    00264
    00265 #endif /* IXHSSACCCODELETCOM_H */
    00266
Automatically generated from sources. © Intel Corp. 2003